<template>
  <div class="product-top-box">
    <div class="container">
      <!-- <swiper
        :slidesPerView="4"
        :spaceBetween="58"
        :navigation="true"
        :modules="modules"
        class="product-swiper"
      >
        <swiper-slide v-for="(newsItem, index) in newsList" :key="index">
          <NewsItem :news="newsItem" />
        </swiper-slide>
      </swiper> -->
    </div>
  </div>
</template>
<script>
// import { Swiper, SwiperSlide } from "swiper/vue";
// import NewsItem from "./news-item.vue";
// import "swiper/css";
// import "swiper/css/navigation";
// import { Navigation } from "swiper";
// import { getNewsData } from "~~/services/mock-data/news/news-api";

export default {
  data() {
    return {
      // newsList: [],
    };
  },
  async mounted() {
    // this.newsList = await getNewsData();
  },
  components: {
    // Swiper,
    // SwiperSlide,
    // NewsItem,
  },
  setup() {
    return {
      // modules: [Navigation],
    };
  },
};
</script>
<style lang="scss" scoped>
.product-swiper {
    padding-bottom: 10px !important;
}
</style>
